Ticket #35562

2015.4 に向けたユーザーガイドなどの翻訳

Open Date: 2015-09-25 16:45 Last Update: 2015-11-13 15:59

Reporter: nishimoto Owner: nishimoto
Type: Patches Status: Closed
Component: 翻訳 MileStone: 2015.4 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

nvda.po の更新案。 入力ヘルプでナムロック関連のキーの説明を追加する話。

音声合成エンジンの読み付与に配慮して「ナムロック」はカタカナにしました。

Index: nvda.po
===================================================================
--- nvda.po	(revision 23507)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2015-09-22 15:58+1000\n"
-"PO-Revision-Date: 2015-09-15 20:56+0900\n"
+"PO-Revision-Date: 2015-09-25 16:40+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -4313,68 +4313,56 @@
 msgstr "テンキープラス"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numpad decimal"
-msgstr "テンキーデリート"
+msgstr "テンキーピリオド"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numpad insert"
-msgstr "テンキーエンター"
+msgstr "テンキーインサート"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "numLock numpad 0"
-msgstr ""
+msgstr "ナムロック テンキー0"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numLock numpad 1"
-msgstr "テンキー1"
+msgstr "ナムロック テンキー1"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numLock numpad 2"
-msgstr "テンキー2"
+msgstr "ナムロック テンキー2"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numLock numpad 3"
-msgstr "テンキー3"
+msgstr "ナムロック テンキー3"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numLock numpad 4"
-msgstr "テンキー4"
+msgstr "ナムロック テンキー4"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numLock numpad 5"
-msgstr "テンキー5"
+msgstr "ナムロック テンキー5"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numLock numpad 6"
-msgstr "テンキー6"
+msgstr "ナムロック テンキー6"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numLock numpad 7"
-msgstr "テンキー7"
+msgstr "ナムロック テンキー7"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numLock numpad 8"
-msgstr "テンキー8"
+msgstr "ナムロック テンキー8"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "numLock numpad 9"
-msgstr "テンキー9"
+msgstr "ナムロック テンキー9"
 
 #. Translators: This is the name of a key on the keyboard.
-#, fuzzy
 msgid "insert"
-msgstr "挿入"
+msgstr "インサート"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "left control"

Attachment File List

No attachments

Ticket History (3/31 Histories)

2015-09-25 16:45 Updated by: nishimoto
  • New Ticket "2015.4 に向けたユーザーガイドなどの翻訳" created
2015-09-25 16:54 Updated by: nishimoto
Comment

単純作業なのでここにまとめる。

翻訳 symbols-newRevisions\11443 でルピー(インドの通貨記号)の読み上げ対応が来た。

日本語の symbols.dic は英語版とかなり内容が違っているが、それらしい場所に入れておく。

以下 code point in charset: 0x20B9 はたぶんコマンドプロンプトやメールでは文字化けする。。

Index: symbols.dic
===================================================================
--- symbols.dic (revision 23507)
+++ symbols.dic (working copy)
@@ -70,6 +70,7 @@
 \      エン    none
 \\     エン    none
 ¥     エン    none
+       ルピー  some    norep
 %      パーセント      some
 &      アンド  some
 '      シングル        some
             position: 1573 of 7817 (20%), column: 0
            character: ₹ (displayed as ₹) (codepoint 8377, #o20271, #x20b9)
    preferred charset: unicode (Unicode (ISO10646))
code point in charset: 0x20B9
               script: symbol
               syntax: w 	which means: word
             category: .:Base
             to input: type "C-x 8 RET HEX-CODEPOINT" or "C-x 8 RET NAME"
          buffer code: #xE2 #x82 #xB9
            file code: #xEF #xBB #xBF #xE2 #x82 #xB9 (encoded by coding system utf-8-with-signature-dos)
              display: no font available

Character code properties: customize what to show
  name: INDIAN RUPEE SIGN
  general-category: Sc (Symbol, Currency)
  decomposition: (8377) ('₹')
2015-10-09 11:07 Updated by: nishimoto
Comment

最近の本家 master および日本語ベータ版 151008 に入った変更に関する本家チケット 4920

emphasis とか strong とかが翻訳対象のメッセージに入っている。

http://community.nvda-project.org/ticket/4920

- A Report Emphasis option has been added to NVDA's Document formatting settings dialog. On by default, this option allows NVDA to automatically report the existance of emphasised text in documents. So far this is only supported for em and strong tags in Browse Mode for Internet Explorer and other MSHTML controls. (#4920)
- The existance of inserted and deleted text is now reported in Browse Mode for Internet Explorer and other MSHTML controls, if NVDA's Report Editor Revisions option is enabled. (#4920)
- When viewing track changes in NVDA's Elements List for Microsoft Word, more information such as what formatting properties were changed is now displayed. (#4920)
2015-10-09 11:35 Updated by: nishimoto
Comment

現状どう読まれているか IE11 で確認してみた。

http://www.htmq.com/html/em.shtml

HTMLソース
今後のHTMLについて、色やレイアウトなどの見栄えに関する部分は排除され、構造の表現のみになっていく方針が示されています。見栄えに関するタグについては、<em>スタイルシートの使用</em>が推奨された上で、<strong>廃止される</strong>予定にあるそうです。 
見出し  レベル4
ブラウザ上の表示
 今後のHTMLについて、色やレイアウトなどの見栄えに関する部分は排除され、  構造の表現のみになっていく方針が示されています。  見栄えに関するタグについては、
emphasised    
スタイルシートの使用
not emphasised    
が推奨された上で、  
strong    
廃止される
not strong    
予定にあるそうです。   

翻訳するとしたらこんな感じだろうか。

見栄えに関するタグについては、
強調あり
スタイルシートの使用
強調なし
が推奨された上で、  
重要性あり
廃止される
重要性なし
予定にあるそうです。   
2015-10-09 12:03 Updated by: nishimoto
Comment

現時点での nvda.po の更新案。

書式情報に関しては NVDA は 「報告のタイミングは、移動に伴う属性の変化で」 「報告する内容は、移動に伴って変化が起きた属性そのものを」 報告する仕様になっている(NVDA+F の場合は別)。

例えば「強調ここから」「強調ここまで」のようにすると、 属性そのものではなく「属性がどう変わったか」を報告してしまっているので、 例えば1文字ナビゲーションで不連続に移動したときに不適切になる可能性がある。

実は no がつかないほうに「ナニナニあり」のように「あり」をつけるかどうかは、 今回はつけてみたが、過去に Word や Excel の関連で「あり」がついていないものが すでに NVDA の日本語訳としてはいっているようだ。。

Index: nvda.po
===================================================================
--- nvda.po	(revision 23624)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2015-10-08 19:11+1000\n"
-"PO-Revision-Date: 2015-09-25 16:40+0900\n"
+"PO-Revision-Date: 2015-10-09 11:46+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -3059,19 +3059,16 @@
 msgstr "校閲者による更新の報告の切り替え"
 
 #. Translators: The message announced when toggling the report emphasis document formatting setting.
-#, fuzzy
 msgid "report emphasis off"
-msgstr "ページ番号を報告しない"
+msgstr "強調を報告しない"
 
 #. Translators: The message announced when toggling the report emphasis document formatting setting.
-#, fuzzy
 msgid "report emphasis on"
-msgstr "ページ番号を報告する"
+msgstr "強調を報告する"
 
 #. Translators: Input help mode message for toggle report emphasis command.
-#, fuzzy
 msgid "Toggles on and off the reporting of emphasis"
-msgstr "ページ番号の報告の切り替え"
+msgstr "強調の報告の切り替え"
 
 #. Translators: The message announced when toggling the report colors document formatting setting.
 msgid "report colors off"
@@ -4642,24 +4639,20 @@
 msgstr "行%s"
 
 #. Translators: Reported when text is marked as having been inserted
-#, fuzzy
 msgid "inserted"
-msgstr "インサート"
+msgstr "追加マークあり"
 
 #. Translators: Reported when text is no longer marked as having been inserted.
-#, fuzzy
 msgid "not inserted"
-msgstr "選択なし"
+msgstr "追加マークなし"
 
 #. Translators: Reported when text is marked as having been deleted
-#, fuzzy
 msgid "deleted"
-msgstr "デリート"
+msgstr "削除マークあり"
 
 #. Translators: Reported when text is no longer marked as having been  deleted.
-#, fuzzy
 msgid "not deleted"
-msgstr "選択なし"
+msgstr "削除マークなし"
 
 #. Translators: Reported when text is revised.
 #, python-format
@@ -4667,36 +4660,33 @@
 msgstr "変更 %s"
 
 #. Translators: Reported when text is not revised.
-#, fuzzy, python-format
+#, python-format
 msgid "no revised %s"
-msgstr "変更 %s"
+msgstr "変更なし %s"
 
 #. Translators: Reported when text is marked
-#, fuzzy
 msgid "marked"
-msgstr "開始位置をマーク"
+msgstr "マークあり"
 
 #. Translators: Reported when text is no longer marked
-#, fuzzy
 msgid "not marked"
-msgstr "開始位置をマーク"
+msgstr "マークなし"
 
 #. Translators: Reported when text is marked as strong (e.g. bold)
 msgid "strong"
-msgstr ""
+msgstr "重要性あり"
 
 #. Translators: Reported when text is no longer marked as strong (e.g. bold)
-#, fuzzy
 msgid "not strong"
-msgstr "%s なし"
+msgstr "重要性なし"
 
 #. Translators: Reported when text is marked as emphasised
 msgid "emphasised"
-msgstr ""
+msgstr "強調あり"
 
 #. Translators: Reported when text is no longer marked as emphasised
 msgid "not emphasised"
-msgstr ""
+msgstr "強調なし"
 
 #. Translators: Reported when text is not bolded.
 msgid "no bold"
@@ -7139,9 +7129,8 @@
 
 #. Translators: This is the label for a checkbox in the
 #. document formatting settings dialog.
-#, fuzzy
 msgid "Report e&mphasis"
-msgstr "ページ番号の報告(&P)"
+msgstr "強調の報告(&M)"
 
 #. Translators: This is the label for a checkbox in the
 #. document formatting settings dialog.
@@ -8352,9 +8341,8 @@
 msgid "comment: {text} by {author} on {date}"
 msgstr "コメント {text} 更新者 {author} 更新日 {date}"
 
-#, fuzzy
 msgid "{revisionType} {description}: {text} by {author} on {date}"
-msgstr "{revisionType} {text} 更新者 {author} 更新日 {date}"
+msgstr "{revisionType} {description} {text} 更新者 {author} 更新日 {date}"
 
 #, python-format
 msgid "%g characters"
2015-10-12 14:30 Updated by: nishimoto
Comment

Report emphasis の設定で Inserted や not inserted の報告をするかどうかが変わるらしい。 Report emphasis は「強調の報告」 inserted は「追加マークあり」という訳語を考えていたが、 書式設定を例えば「強調などのマークの報告」にしようかと思い始めている。

2015-10-13 23:08 Updated by: nishimoto
Comment

emphasis = 「強調などのマーク」で userGuide.t2t もいったんコミットしました。

2015-10-22 21:38 Updated by: nishimoto
Comment

bing 検索で「日本語」を検索すると、結果の候補リストでたとえば 「日本語の英語・英訳」 のような項目は 「重要性あり、日本語、重要性なし、の英語・英訳」 のように読み上げられる。

これは「日本語」の部分が <strong>日本語</strong> になっているから、 今回の日本語ベータ版でこうなったのだが、 はたしてこれでよいのか。。

2015-10-24 14:44 Updated by: nishimoto
Comment

今やっている作業に関連する情報の共有

開発者向けドキュメントの記号読み上げ辞書の説明。

チケット #31036 NVDA Developer Guide 日本語化(未完)

置き場所: https://gist.github.com/nishimotz/3f0c947fb383f8868f3d

++ 記号読み上げ ++
特に文字単位のナビゲーションでは、句読点などの記号が、単語と同じように読み上げられると便利です。
残念なことに、音声合成エンジンによって、記号の読み上げは異なっており、読み上げかたを制御できないものも多くあります。
NVDAが記号読み上げの辞書を提供しているのはこのような理由です。

ロケールごとの記号読み上げ辞書は、ロケールのディレクトリの中の symbols.dic という名前のファイルです。
これはUTF-8エンコードのテキストファイルです。
空白行と半角 "#" 文字で始まる行は無視されます。
すべてのロケールは自動的に英語のシンボル情報を継承します。ただしすべての情報はロケールごとの定義で上書きできます。

ファイルには、2つのセクションが含まれています。

+++ 複合シンボル定義 (complexSymbols) +++
この最初のセクションは省略可能です。これは複合シンボルのための正規表現パターンを定義します。
複合シンボルとは、単純な1つの文字や複数の文字の連続ではなく、より複雑なマッチングを必要とするものです。
1つの例は、英語の文末のピリオド (.) です。
このピリオド (.) はいろいろな目的で使用される文字です。そのため、文の末尾のピリオドかどうかの判定には複雑なマッチングが必要です。

複合シンボルのセクションは下記の行で始まります:
```
complexSymbols:
```

このセクションの中の行は、シンボルを区別するためのテキスト識別子、タブ文字、シンボルを判定する正規表現パターン、という形式で記述します。
以下は例です:
```
. sentence ending	(?<=[^\s.])\.(?=[\"')\s]|$)
```

繰り返しますが、英語のシンボル定義は自動的に他のロケールに継承されます。ですから、英語で定義されたシンボル定義は他のロケールで再定義しなおす必要はありません。

+++ シンボルの定義 +++
2番目のセクションは、それぞれの記号をいつどのように発音するか定義します。
このセクションは下記の行で開始します:
```
symbols:
```

それ以降の行は、タブ文字で区切られた複数のフィールドから構成されます。
識別子(identifier)と読み(replacement)だけは省略できません。
省略されたフィールドには既定値が適用されます。
フィールドは以下の通りです:
- identifier: 記号の識別子。
通常は記号のキャラクター1文字または複数の文字です。
ただし、複合シンボルの識別子をここに記載できます。
ファイルに入力できない特別なキャラクターのために、下記の特殊文字を定義しています:
 - \0: ヌル (null)
 - \t: タブ (tab)
 - \n: 改行 (line feed)
 - \r: 復帰 (carriage return)
 - \f: 改ページ (form feed)
 - \#: # キャラクター (行頭の # はコメント行を示すため)
- replacement: その記号の読みを表す文字列。
- level: どの記号レベルで読み上げるかを指定します。
ユーザーはどの記号を読み上げるかを、記号読み上げレベルとして設定できます。
このフィールドは "none"(読まない), "some"(一部読み上げ), "most"(ほとんど読み上げ), "all"(すべて読み上げ), "char"(文字) のいずれかで指定します。ただし "-" を指定すると既定値になります。
"char" が指定されると、文字単位の移動のときだけ読み上げます。
既定値は(訳注:英語用の定義から)継承されますが、継承する値がない場合は "all" になります。
- preserve: 正しい読み付与をさせるために、記号をそのまま音声合成エンジンに送るかどうかを指定します。
例えば、ポーズや抑揚に影響する記号(英語でのカンマなど)はそのまま送るべきです。
This field should be one of the following:
 - never: その記号をエンジンに送りません。
 - always: その記号を必ずエンジンに送ります。
 - norep: その記号が読みに置換されなかったときに(その記号で指定されたレベルよりも、ユーザーがセットした読み上げレベルが低いときに)エンジンに送ります。
 - -: 既定値を使います。
 -
既定値は(訳注:英語用の定義から)継承されますが、継承する値がない場合は "never" になります。
-
最後に、行末のタブ(訳注:およびシャープ記号)に続けてコメントとして、その記号の表示用の名前 (display name)を書くことができます。
これは記号読み辞書の編集でユーザーに表示されます。また、英語の複合シンボルに対して名前の翻訳を定義できるので、翻訳者に役立つでしょう。

以下に例を挙げます:
```
(	left paren	most
```
記号読み上げレベルが most (ほとんど) 以上、つまり "most" または "all" (すべて) のときに、記号 "(" を "left paren" と読みます。
```
,	comma	all	always
```
記号読み上げレベルが "all" (すべて) のときに、記号 "," を "comma" と読み、この記号そのものは常に音声エンジンに送られます。従って、音声エンジンは適切にポーズを入れることができます。
```
. sentence ending	point	# . fin de phrase
```
この行はフランス語の symbols.dic で使われています。
識別子 ". sentence ending" の複合シンボルの読みを "point" と指定しています。
level と preserve は省略されているので、この記号の英語での定義から継承されます。
フランス語のユーザーのための表示用の名前が定義されています。

英語から他の言語に継承される定義の詳細は locale\en\symbols.dic を確認してください。
このファイルは記号の定義の例としても有用です。
2015-10-24 15:12 Updated by: nishimoto
Comment

nvda.po の更新案。

記号読み上げ辞書の編集については直訳ではなく具体的な説明にしてある。

「入力メッセージ」は Excel 関連の用語。 https://msdn.microsoft.com/ja-jp/library/office/ff839245.aspx

Index: nvda.po
===================================================================
--- nvda.po	(revision 23758)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2015-10-22 19:12+1000\n"
-"PO-Revision-Date: 2015-10-13 23:03+0900\n"
+"PO-Revision-Date: 2015-10-24 15:08+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -1300,20 +1300,19 @@
 #. See the "Punctuation/symbol pronunciation" section of the User Guide for details.
 msgctxt "symbolPreserve"
 msgid "never"
-msgstr ""
+msgstr "送らない"
 
 #. Translators: An option for when a symbol itself will be sent to the synthesizer.
 #. See the "Punctuation/symbol pronunciation" section of the User Guide for details.
 msgctxt "symbolPreserve"
 msgid "always"
-msgstr ""
+msgstr "必ず送る"
 
 #. Translators: An option for when a symbol itself will be sent to the synthesizer.
 #. See the "Punctuation/symbol pronunciation" section of the User Guide for details.
-#, fuzzy
 msgctxt "symbolPreserve"
 msgid "only below symbol's level"
-msgstr "記号%s"
+msgstr "読み置換しない場合に送る"
 
 #. Translators: Reported when text is written in unknown color.
 msgid "unknown color"
@@ -4042,7 +4041,6 @@
 msgstr "オブジェクトナビゲーション階層のフラットビューで次のオブジェクトに移動"
 
 #. Translators: a message when there is no previous object when navigating
-#, fuzzy
 msgid "no previous"
 msgstr "前のオブジェクトなし"
 
@@ -7388,7 +7386,7 @@
 #. Translators: The label for a column in symbols list which specifies when the actual symbol will be sent to the synthesizer (preserved).
 #. See the "Punctuation/Symbol Pronunciation" section of the User Guide for details.
 msgid "Preserve"
-msgstr ""
+msgstr "音声エンジンに記号を送る"
 
 #. Translators: The label for the edit field in symbol pronunciation dialog to change the pronunciation of a symbol.
 msgid "Change symbol"
@@ -7400,7 +7398,7 @@
 
 #. Translators: The label for the combo box in symbol pronunciation dialog to change when a symbol is sent to the synthesizer.
 msgid "&Send actual symbol to synthesizer"
-msgstr ""
+msgstr "音声エンジンに記号を送る(&S)"
 
 #. Translators: The label for a button in the Symbol Pronunciation dialog to remove a symbol.
 msgid "Re&move"
@@ -7562,7 +7560,7 @@
 #. Translators: The label of a radio button to select the type of element
 #. in the browse mode Elements List dialog.
 msgid "&Sheet"
-msgstr ""
+msgstr "シート(&S)"
 
 #. Translators: Used to express an address range in excel.
 msgid "{start} through {end}"
@@ -7628,10 +7626,10 @@
 "クリア"
 
 msgid "Input Message is {title}: {message}"
-msgstr ""
+msgstr "入力メッセージ {title} {message}"
 
 msgid "Input Message is {message}"
-msgstr ""
+msgstr "入力メッセージ {message}"
 
 #. Translators: A message in Excel when there is no comment
 msgid "Not on a comment"
@@ -8548,15 +8546,3 @@
 #. Translators: The name of a braille display.
 msgid "HIMS SyncBraille"
 msgstr "HIMS社製 SyncBraille"
-
-#~ msgid "unrevised"
-#~ msgstr "未変更"
-
-#~ msgid "unknown author"
-#~ msgstr "著者不明"
-
-#~ msgid "unknown date"
-#~ msgstr "日付不明"
-
-#~ msgid "{revisionType} by {revisionAuthor} on {revisionDate}"
-#~ msgstr "{revisionType} 更新者 {revisionAuthor} 更新日 {revisionDate}"
2015-10-24 15:25 Updated by: nishimoto
Comment

changes 11478 の内容。まだまったく翻訳に手をつけていない:

= 2015.4 =

== New Features ==
- NVDA now appears in the Ease of Access Center in Windows 8 and later. (#308)
- When moving around cells in Excel, formatting changes are now automatically reported if the appropriate options are turned on in NVDA's Document Formatting Settings dialog. (#4878)
- A Report Emphasis option has been added to NVDA's Document formatting settings dialog. On by default, this option allows NVDA to automatically report the existance of emphasised text in documents. So far this is only supported for em and strong tags in Browse Mode for Internet Explorer and other MSHTML controls. (#4920)
- The existance of inserted and deleted text is now reported in Browse Mode for Internet Explorer and other MSHTML controls, if NVDA's Report Editor Revisions option is enabled. (#4920)
- When viewing track changes in NVDA's Elements List for Microsoft Word, more information such as what formatting properties were changed is now displayed. (#4920)
- Microsoft Excel: listing and renaming of sheets is now possible from NVDA's Elements List (NVDA+f7). (#4630, #4414)
- It is now possible to configure whether actual symbols are sent to speech synthesizers (e.g. to cause a pause or change in inflection) in the Symbol Pronunciation dialog. (#5234)


== Changes ==
- The Report Editor Revisions option in NVDA's Document formatting settings dialog is now turned on by default. (#4920)
- When moving by character in Microsoft Word with NVDA's Report Editor Revisions option enabled, less information is now reported for track changes, which makes navigation more efficient. To view the extra information, use the Elements List. (#4920)
- Updated liblouis braille translator to 2.6.4. (#5341)
- Several symbols (including basic mathematical symbols) have been moved to level some so that they are spoken by default. (#3799)
- If the synthesizer supports it, speech should now pause for parentheses and the en dash (–). (#3799)


== Bug Fixes ==
- Major performance improvements when navigating the Outlook 2010/2013 message list. (#5268)
- In a chart in Microsoft Excel, navigating with certain keys (such as changing sheets with control+pageUp and control+pageDown) now works correctly. (#5336)
- Fixed the visual appearance of the buttons in the warning dialog which is displayed when you attempt to downgrade NVDA. (#5325)
- In Windows 8 and later, NVDA now starts a lot earlier when configured to start after logging on to Windows. (#308)
 - If you enabled this using a previous version of NVDA, you will need to disable it and enable it again in the General Settings dialog for the change to take effect.
- Performance enhancements for UI Automation including  File Explorer and Task Viewer. (#5293)
- NVDA now correctly switches to focus mode when tabbing to read-only ARIA grid controls in Browse Mode for Mozilla Firefox and other Gecko-based controls. (#5118)
- NVDA now correctly reports "no previous" instead of "no next" when there are no more objects when flicking left on a touch screen.


2015-10-24 16:41 Updated by: nishimoto
Comment

userGuide.t2t 11511 までの作業案:

Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 23758)
+++ userGuide.t2t	(working copy)
@@ -540,7 +540,7 @@
 
 NVDA は次の種類の数式コンテンツに対応します:
 - Mozilla Firefox と Microsoft Internet Explorer における MathML
-- Microsoft Word と PowerPoint における Design Science の MathType
+- Microsoft Word と PowerPoint における Design Science の MathType, ただし MathType をインストールしておく必要があります。評価版でもかまいません。
 - Adobe Reader における MathML, ただしまだ公式な規格ではないため、この形式のファイルを作成できるソフトは公開されていません。
 -
 
@@ -586,7 +586,7 @@
 | 列見出しの設定 | NVDA+Shift+C | 1回押すと現在の行を列見出しの行として設定します。この行の下で列を移動すると自動的にこの列見出しが報告されます。2回続けて押すと設定をクリアします。 | 
 | 行見出しの設定 | NVDA+Shift+R | 1回押すと現在の列を行見出しの列として設定します。この列の右で行を移動すると自動的にこの行見出しが報告されます。2回続けて押すと設定をクリアします。 | 
 | コメントの報告 | NVDA+Alt+C | 現在のセルにコメントがあれば報告します。 |
-| 要素リスト | NVDA+F7 | グラフ、コメントを含むセル、数式を含むセルの要素リストを開きます。 |
+| 要素リスト | NVDA+F7 | グラフ、コメントを含むセル、数式を含むセル、シートの要素リストを開きます。 |
 %kc:endInclude
 
 ++ Microsoft PowerPoint ++
@@ -1173,12 +1173,23 @@
 この辞書の選択は、[音声設定のダイアログ #VoiceSettings]「記号と文字の説明に音声の言語を使用」オプションの影響を受けます。つまり、このオプションが有効の場合は、NVDAの一般設定の言語ではなく、音声の切り替えによって選ばれた言語に基づいて辞書が使われます。
 
 記号の読み方を変更するには、まず最初に記号一覧から読み方を変更したい記号を選択してください。
-「読み方」では、その記号の読み上げ方を変更できます。
-「最低読み上げレベル」では、どのレベル以上の読み上げレベルでこの文字や記号を読ませたいか、という最低レベルを選択します。
 
+- 「読み方」では、その記号の読み上げ方を変更できます。
+- 「最低読み上げレベル」では、どのレベル以上の読み上げレベルでこの文字や記号を読ませたいか、という最低レベルを選択します。
+- 「音声エンジンに記号を送る」では、どのような場合に(読み方に置き換えないで)記号そのものを音声エンジンに送るかを選択します。
+この機能は、ある記号が音声エンジンの読み上げにポーズを入れたり抑揚を変化させたりする場合に役立ちます。
+例えば、カンマ記号が入ると音声合成エンジンはそこにポーズを入れるのが一般的です。
+以下の3種類のオプションがあります:
+ - 送らない: 実際の記号を常に音声エンジンに送りません。
+ - 必ず送る: 実際の記号を必ず音声エンジンに送ります。
+ - 読み置換しない場合に送る: NVDA の記号読み上げレベルが、その記号の最低読み上げレベル未満に設定された場合に、実際の記号を音声エンジンに送ります。
+例えば、ある記号はその記号の最低読み上げレベル以上の設定で読み上げた場合には読み方に置き換えられて、最低読み上げレベル未満の設定では音声にポーズが入る、という使い方ができます。
+ -
+- 
+
 「追加」ボタンを押すと新しい記号を追加できます。
 ダイアログが表示されるので、記号を入力して、OK ボタンを押してください。
-新しい記号の読み方と最低読み上げレベルの指定は、すでに登録されている記号の変更と同じように行えます。
+新しい記号の定義は、すでに登録されている記号の変更と同じように行えます。
 
 ユーザーが登録した記号の削除は「削除」ボタンで行えます。
 
@@ -2102,15 +2113,6 @@
 | なし | --install | NVDAのインストール(新規にインストールされたNVDAを起動) |
 | なし | --install-silent | NVDAのサイレントインストール(新規にインストールされたNVDAを起動しない) |
 
-++ 記号の読み上げの高度なカスタマイズ ++
-句読点などの記号の読み方を、[句読点/記号読み辞書 #SymbolPronunciation]ダイアログを使用することなくカスタマイズすることができます。
-例えば、 (間を空けたり抑揚をつけるために) 音声エンジンが読み上げない記号を定義したり、記号をカスタマイズすることができます。
-
-実行するには、NVDAのユーザー設定フォルダー内の記号の読み方を定義したファイルを編集する必要があります。
-ファイルは、Symbols-xx.dicと呼ばれており、xxは言語コードで置き換えます。
-このファイルの書式は、NVDAの開発者向けガイドの記号の読み上げセクションにあり、[the Development section of the NVDA web site http://community.nvda-project.org/wiki/Development]から参照できます。
-しかし、ユーザーは複雑な記号を定義することはできません。
-
 + さらに詳細な情報 +
 NVDAに関して、さらに詳細な情報や助けが必要な場合は、NVDAのサイト、NVDA_URLを参照してください。
 ここには追加のドキュメント、そして技術サポートやコミュニティーのリソースがあります。
2015-10-25 08:43 Updated by: minanono
Comment

まだ粗く、未翻訳の語句もありますが、翻訳の提案です。

= 2015.4 =
== New Features ==

新しい機能

- NVDA now appears in the Ease of Access Center in Windows 8 and later. (#308)

Windows8以降のPCでコンピュータの簡単操作センターにNVDAが表示されるようになりました。(#308)

- When moving around cells in Excel, formatting changes are now automatically reported if the appropriate options are turned on in NVDA's Document Formatting Settings dialog. (#4878)

エクセルのセル間を移動する場合、NVDAのドキュメントフォーマット設定ダイアログで設定しておくと、書式の変化が自動で報告されるようになりました。(#4878)

- A Report Emphasis option has been added to NVDA's Document formatting settings dialog. On by default, this option allows NVDA to automatically report the existance of emphasised text in documents. So far this is only supported for em and strong tags in Browse Mode for Internet Explorer and other MSHTML controls. (#4920)

強調の報告オプションがNVDAのDocument formatting settings ダイアログに追加されました。初期設定では、このオプションはNVDAが自動的に、ドキュメントに強調されたテキストがあることを報告するようになっています。今のところこの機能は、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードのemとstringタグのみについてサポートされています。(#4920)

- The existance of inserted and deleted text is now reported in Browse Mode for Internet Explorer and other MSHTML controls, if NVDA's Report Editor Revisions option is enabled. (#4920)

NVDAのReport Editor Revisions オプションがオンになっている場合、挿入されたおよび削除されたテキストがあることが、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードにおいて、通知されるようになりました。(#4920)

- When viewing track changes in NVDA's Elements List for Microsoft Word, more information such as what formatting properties were changed is now displayed. (#4920)

Microsoft Wordにて、NVDAの要素リストのtrack changesを閲覧している時に、書式設定が変化していることなど、表示される情報が増えました。(#4920)

- Microsoft Excel: listing and renaming of sheets is now possible from NVDA's Elements List (NVDA+f7). (#4630, #4414)

Microsoft Excel: シートの一覧表示および名前変更がNVDAの要素リスト (NVDA+F7) で出来るようになりました。(#4630, #4414)

- It is now possible to configure whether actual symbols are sent to speech synthesizers (e.g. to cause a pause or change in inflection) in the Symbol Pronunciation dialog. (#5234)

特定の記号を読み上げ音声合成に送るかどうかを、記号読み上げダイアログにて設定出来るようになりました (例えば、inflectionでの一時停止や変更の原因になるため)。(#5234)

== Changes ==

変更点

- The Report Editor Revisions option in NVDA's Document formatting settings dialog is now turned on by default. (#4920)

NVDAのDocument formatting settings ダイアログの、Report Editor Revisions オプションが、初期設定でオンになりました。(#4920)

- When moving by character in Microsoft Word with NVDA's Report Editor Revisions option enabled, less information is now reported for track changes, which makes navigation more efficient. To view the extra information, use the Elements List. (#4920)

NVDAのReport Editor Revisions オプションがオンで、Microsoft Wordにて文字を移動すると、trackの変更について報告される情報が少なくなり、ナビゲーションがより効率的になりました。(#4920)

- Updated liblouis braille translator to 2.6.4. (#5341)

liblouis braille translatorが2.6.4に更新されました。(#5341)

- Several symbols (including basic mathematical symbols) have been moved to level some so that they are spoken by default. (#3799)

特定の記号 (基本的な数学記号を含む) が、level some に移動され、初期設定で読み上げられるようになりました。(#3799)

- If the synthesizer supports it, speech should now pause for parentheses and the en dash (?). (#3799)

音声合成でサポートされている場合、カッコやダッシュで読み上げが一時停止します(?)。(#3799)

== Bug Fixes ==

バグ修正

- Major performance improvements when navigating the Outlook 2010/2013 message list. (#5268)

Outlook 2010/2013のメッセージリストでのナビゲーションの大幅な動作の改良。(#5268)

- In a chart in Microsoft Excel, navigating with certain keys (such as changing sheets with control+pageUp and control+pageDown) now works correctly. (#5336)

Microsoft Excelのchartにて、特定のキーでのナビゲーション (control+pageupやcontrol+pagedownでのシート変更などの) が正確に動作するようになりました。(#5336)

- Fixed the visual appearance of the buttons in the warning dialog which is displayed when you attempt to downgrade NVDA. (#5325)

NVDAをダウングレードしようとする際に表示される警告ダイアログ内のボタンの外観が修正されました。(#5325)

- In Windows 8 and later, NVDA now starts a lot earlier when configured to start after logging on to Windows. (#308)

Windows8以降にて、Windowsのログオン後に起動が設定されている場合、NVDAがより高速に起動するようになりました。(#308)

- If you enabled this using a previous version of NVDA, you will need to disable it and enable it again in the General Settings dialog for the change to take effect.

前のバージョンのNVDAでこの機能をオンにしている場合、一般設定ダイアログにていったんオフにしてもう一度オンにして有効にする必要があります。(#308)

- Performance enhancements for UI Automation including File Explorer and Task Viewer. (#5293)

File Explorer および Task Viewerを含むUI Automationの動作の強化。(#5293)

- NVDA now correctly switches to focus mode when tabbing to read-only ARIA grid controls in Browse Mode for Mozilla Firefox and other Gecko-based controls. (#5118)

NVDAは、Mozilla Firefoxおよび他のGeckoベースのコントロールのブラウズモードにて、読み取り専用のARIA grid controlsにタブで移動した時に、正確にフォーカスモードに切り替わるようになりました。

- NVDA now correctly reports "no previous" instead of "no next" when there are no more objects when flicking left on a touch screen.

NVDAはタッチスクリーンで左フリックをした時に次のオブジェクトがない場合に、「次の~がありません」ではなく、「前の~がありません」と正確に報告するようになりました。

2015-10-26 11:33 Updated by: nishimoto
Comment

minanono さま:

ご提案ありがとうございます。 changes.t2t へのコミットをやってみますか?

過去のドキュメントや今回 2015.4 に入れる予定の翻訳に用語を合わせたいと思います。 このチケットでだいたい 2015.4 関連の作業はご報告していると思いますが、 ご不明な点があればお知らせください。

2015-10-26 20:00 Updated by: minanono
Comment

nishimoto様

ありがとうございます。 不明点を挙げます。 よろしくお願いします。

1. t2tファイルは何を使って編集しますか。 2. Document Formatting Settings dialogの翻訳語 3. inflectionの翻訳語 4. Report Editor Revisionsの翻訳語 5. track changesの翻訳語 (Microsoft Word) 6. have been moved to level some の翻訳 7. Excelのchartの翻訳語はグラフ? 8. File ExplorerとTask Viewerは、エクスプローラとタスクマネージャ? 9. UI Automationはそのまま? 10. ARIA grid controlsはそのまま? 11. report, announce,notification (通知、報告) の翻訳分け

2015-10-26 23:10 Updated by: nishimoto
Comment

t2t ファイルは UTF-8 文字コードに対応したテキストエディタで編集します。

http://txt2tags.org/

本家チケット 5234 について。 inflection は抑揚と翻訳しています。 私が翻訳したユーザーガイドの「音声エンジンに記号を送る」を参照してください。

例えば KC トーカーでは下記のような効果が得られることを確認しました。 (まだ日本語が本家 master に入ってないけど。。)

半角カンマを最低読み上げレベル「ほとんど読み上げ」に変更。 「音声エンジンに記号を送る」は「読み置換しない場合に送る」に設定。

A,B

という文字列をメモ帳に入力。

記号読み上げレベル「ほとんど」「すべて」の場合は「エー コンマ ビー」と読み上げる。 「読まない」「一部」の場合は「エー ビー」と読み上げるが、 エーとビーのあいだにすこしポーズが入る。 これは音声エンジンに "A B" ではなく "A,B" のような文字列が送られることの効果と考えられる。

他の件はよく分からなければ英語の表記にしておいてください。 コミットされたものを私が再修正します。

2015-10-28 19:41 Updated by: minanono
Comment

txt2tagsがうまく行きません。

試したこと 1. txt2tags-2.6.tgz をダウンロードしましたが、開けません。Windowsで使えるtgzの解凍ソフトで、お使いの物がありましたらご紹介下さい。(知らないソフトのダウンロードで、ウィルスのような物が入ったことがあるため、出来るところは慎重にしたいと思います。)

2. Install Python and download txt2tagsで、表示されるPythonのソースコードを全部選択して、PythonのNew Filesでペーストして、python27フォルダ直下でtxt2tags.pyとして保存して実行しました。インデントの数が合わないというエラーが出ます。

2015-10-28 22:49 Updated by: nishimoto
Comment

txt2tags は svn でコミットするとサーバーで自動的に実行されるので、 ローカルで実行環境を持つ必要はないです。 が、ローカルで実行できたほうがチェックができて便利でしょうね。。

下記を試してみましたが、私の環境ではうまくいきました。

http://txt2tags.org/download.html の Windows : Install Python and download txt2tags のリンク先

http://txt2tags.googlecode.com/svn/trunk/old/txt2tags-2.6.py

をダウンロードして txt2tags-2.6.py として(作業用のディレクトリに)保存する。

同じ場所に hello.t2t を作る。

hello world.


- a
- b
- c
-

こんにちは。

コマンドプロンプトから:

python txt2tags-2.6.py -t html hello.t2t
txt2tags wrote hello.html

できたファイルを確認:

start hello.html

2015-10-28 23:02 Updated by: nishimoto
Comment

tgz ファイルを展開できるソフトですが、 使いやすいかどうかはともかく安全なのは下記 7zip だと思います: 7-Zip 9.20 (2010-11-18) for Windows

https://sevenzip.osdn.jp/

ただし試してみたらコマンドプロンプトで2回実行する必要がありました: (もともと tgz は tar.gz の省略で、アーカイブと圧縮の2段階の処理の出力であるため)

7z x txt2tags-2.6.tgz
(これで txt2tags-2.6.tar ができる)

7z x txt2tags-2.6.tar
(これでアーカイブの中身が取り出せる)

GUI でやるほうが簡単だったかも知れませんが、 ふだん 7zip の GUI を使っていないので試すのを忘れました。

2015-10-29 20:07 Updated by: minanono
Comment

.t2tファイルですが、メモ帳で開けるとは思っていなかったのですが、開けました。 Python版のtxt2tagsが動きました。 7 zip は試していません。 txt2tagsを.t2tファイルについて実行すると、自動的にHTMLファイルになる、ということのようなので、t2tファイルをメモ帳で編集して上書きしてコミットする、という感じで良いのでしょうか。書式は2015.3と同じようにします。 これまでの分が全部同じファイルにあるのが怖いですね。svnで戻せるのだと思うのですが。

2015-10-29 20:37 Updated by: minanono
Comment

changes.t2tファイルを編集してコミットしました。 編集前にupdateするのを忘れてしまいました。前回updateしたのはだいぶ前なのですが、大丈夫でしょうか。差分を取る方法がよくわからないのでご確認よろしくお願いいたします。私の変更は、2015.4の部分を加えただけです。 t2tファイルをコミットしたら、htmlファイルも自動で変更されているのを確認しました。

2015-10-29 20:59 Updated by: nishimoto
Comment

changes.t2t の更新ありがとうございます。

changes-newRevisions\11511\changes.t2t と比較して行の数が合わなかったので、 詳しく確認してみたら、先頭に余分な空行がはいっていたことと、 新機能の項目がひとつ抜けていたのが原因だったので、 そこだけ直しました。

現状は日本語も英語も

6行目 = 2015.4 =
38行目 = 2015.3 =
になりました。

内容は時間があったら私が直しますが、もしご自分で直したくなったら自由にやってみてください。

2015-11-01 19:56 Updated by: nishimoto
Comment

すこし直しました:

= 2015.4 =

== 新機能 ==
- Windows8以降のPCでコンピューターの簡単操作センターにNVDAが表示されるようになりました。(#308)
- Excel でセル間を移動する場合、NVDAの書式情報設定ダイアログで設定しておくと、書式の変化が自動で報告されるようになりました。(#4878)
- 「強調などのマークの報告」オプションがNVDAの書式情報設定ダイアログに追加されました。初期設定では、NVDAは自動的に、ドキュメントに強調されたテキストがあることを報告するようになっています。今のところこの機能は、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードのemとstringタグのみについてサポートされています。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされている場合、挿入および削除されたテキストがあることが、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードにおいて、報告されるようになりました。(#4920)
- Microsoft Wordの変更履歴をNVDAの要素リストで閲覧しているときに、書式の変化など報告される情報が増えました。(#4920)
- Microsoft Excel: シートの一覧表示および名前変更がNVDAの要素リスト (NVDA+F7) でできるようになりました。(#4630, #4414)
- 特定の記号を (例えば一時停止や抑揚の変更をさせたい場合に)そのまま音声合成に送るかどうかを、句読点記号読み辞書ダイアログにて設定できるようになりました。(#5234)
- Microsoft Excel において NVDA はシート作成者がセル上に設定した入力メッセージを報告するようになりました。(#5051)


== 変更点 ==
- NVDAの書式情報設定ダイアログの、「校閲者による更新の報告」オプションが、初期設定でチェックされました。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされていて、Microsoft Wordにて文字を移動すると、変更履歴について報告される情報が少なくなり、ナビゲーションがより効率的になりました。より詳しい情報は要素リストで得ることができます。(#4920)
- liblouis 点訳エンジンが2.6.4に更新されました。(#5341)
- 特定の記号 (基本的な数学記号を含む) が、最低読み上げレベル「一部」になり、初期設定で読み上げられるようになりました。(#3799)
- 音声合成エンジンがサポートしている場合、カッコやダッシュで読み上げにポーズが入るようになりました。(#3799)


== バグ修正 ==
- Outlook 2010/2013のメッセージリストでのナビゲーションの大幅な動作の改良。(#5268)
- Microsoft Excelのグラフにて、特定のキーでのナビゲーション (control+pageupやcontrol+pagedownでのシート変更などの) が正確に動作するようになりました。(#5336)
- NVDAをダウングレードしようとする際に表示される警告ダイアログ内のボタンの外観が修正されました。(#5325)
- Windows8以降にて、Windowsのログオン後に起動が設定されている場合、NVDAがより高速に起動するようになりました。(#308)
- 前のバージョンのNVDAでこの機能をオンにしている場合、一般設定ダイアログにていったんオフにしてもう一度オンにして有効にする必要があります。(#308)
- ファイルエクスプローラーおよびタスクビューワーを含むUI Automationの動作の強化。(#5293)
- Mozilla Firefoxおよび他のGeckoベースのコントロールのブラウズモードにて、読み取り専用のARIA grid controlsにタブで移動した時に、正確にフォーカスモードに切り替わるようになりました。(#5118)
- タッチスクリーンで左フリックをした時に次のオブジェクトがない場合に、「次の~がありません」ではなく、「前の~がありません」と正確に報告するようになりました。


2015-11-01 21:13 Updated by: nishimoto
Comment

308 関連で箇条書きのインデントが足りない箇所、その他の修正:

= 2015.4 =

== 新機能 ==
- Windows8以降のPCでコンピューターの簡単操作センターにNVDAが表示されるようになりました。(#308)
- Excel でセル間を移動する場合、NVDAの書式情報設定ダイアログで設定しておくと、書式の変化が自動で報告されるようになりました。(#4878)
- 「強調などのマークの報告」オプションがNVDAの書式情報設定ダイアログに追加されました。初期設定では、NVDAは自動的に、ドキュメントに強調されたテキストがあることを報告するようになっています。今のところこの機能は、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードのemとstrongタグのみについてサポートされています。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされている場合、挿入および削除されたテキストがあることが、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードにおいて、報告されるようになりました。(#4920)
- Microsoft Wordの変更履歴をNVDAの要素リストで閲覧しているときに、書式の変化など報告される情報が増えました。(#4920)
- Microsoft Excel: シートの一覧表示および名前変更がNVDAの要素リスト (NVDA+F7) でできるようになりました。(#4630, #4414)
- 特定の記号を (例えば一時停止や抑揚の変更をさせたい場合に)そのまま音声合成に送るかどうかを、句読点記号読み辞書ダイアログにて設定できるようになりました。(#5234)
- Microsoft Excel において NVDA はシート作成者がセル上に設定した入力メッセージを報告するようになりました。(#5051)


== 変更点 ==
- NVDAの書式情報設定ダイアログの、「校閲者による更新の報告」オプションが、初期設定でチェックありになりました。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされていて、Microsoft Wordにて文字を移動すると、変更履歴について報告される情報が少なくなり、ナビゲーションがより効率的になりました。より詳しい情報は要素リストで得ることができます。(#4920)
- liblouis 点訳エンジンが2.6.4に更新されました。(#5341)
- 特定の記号 (基本的な数学記号を含む) が、最低読み上げレベル「一部」になり、初期設定で読み上げられるようになりました。(#3799)
- 音声合成エンジンがサポートしている場合、カッコやダッシュで読み上げにポーズが入るようになりました。(#3799)


== バグ修正 ==
- Outlook 2010/2013のメッセージリストでのナビゲーションの大幅な動作の改良。(#5268)
- Microsoft Excelのグラフにて、特定のキーでのナビゲーション (control+pageupやcontrol+pagedownでのシート変更などの) が正確に動作するようになりました。(#5336)
- NVDAをダウングレードしようとする際に表示される警告ダイアログ内のボタンの外観が修正されました。(#5325)
- Windows8以降にて「Windowsへのログオン後にNVDAを自動的に開始」が設定されている場合、NVDAがより高速に起動するようになりました。(#308)
 - 前のバージョンのNVDAでこの機能をオンにしている場合、一般設定ダイアログにてこの項目をいったんオフにして、もう一度オンにして有効にしなおす必要があります。(#308)
- ファイルエクスプローラーおよびタスクビューワーを含むUI Automationの動作の強化。(#5293)
- Mozilla Firefoxおよび他のGeckoベースのコントロールのブラウズモードにて、読み取り専用のARIA grid コントロールにタブで移動した時に、正確にフォーカスモードに切り替わるようになりました。(#5118)
- タッチスクリーンで左フリックをした時に次のオブジェクトがない場合に、「次の~がありません」ではなく、「前の~がありません」と正確に報告するようになりました。
2015-11-01 22:48 Updated by: nishimoto
Comment

補足: 2015.4 changes に「Microsoft Wordの変更履歴をNVDAの要素リストで閲覧」と書かれている。

確認してみたら Word でブラウズモードに切り替えて要素リストを開くと 「リンク(K)」「見出し(H)」「注釈(A)」 という種別がある。 このうち「注釈(A)」が変更履歴と対応しており、ここに 「挿入 更新者 だれだれ 更新日 何年何月何日 何時何分何秒」 のようなリスト項目が出る。

2015-11-03 12:57 Updated by: nishimoto
Comment

既存の翻訳の変更と合わせて nvda.po の更新作業案。

string freeze なのでこれでおわりのはず。

Index: nvda.po
===================================================================
--- nvda.po	(revision 23924)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2015-11-02 17:08+1000\n"
-"PO-Revision-Date: 2015-10-24 15:08+0900\n"
+"PO-Revision-Date: 2015-11-03 12:52+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -2745,9 +2745,8 @@
 msgstr "オーバーフロー"
 
 #. Translators: a state that denotes that the object is unlocked (such as an unlocked cell in a protected Excel spreadsheet).
-#, fuzzy
 msgid "unlocked"
-msgstr "チェックなし"
+msgstr "ロック解除"
 
 #. Translators: This is presented when a selectable object (e.g. a list item) is not selected.
 msgid "not selected"
@@ -4213,7 +4212,7 @@
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "caps lock"
-msgstr "caps lock"
+msgstr "キャプスロック"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "ctrl"
@@ -4221,7 +4220,7 @@
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "alt"
-msgstr "Alt"
+msgstr "オルト"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "shift"
@@ -4289,7 +4288,7 @@
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "num lock"
-msgstr "num lock"
+msgstr "ナムロック"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "print screen"
@@ -4425,11 +4424,11 @@
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "left alt"
-msgstr "左Alt"
+msgstr "左オルト"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "right alt"
-msgstr "右Alt"
+msgstr "右オルト"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "right windows"
@@ -4563,19 +4562,19 @@
 msgstr "%d文字"
 
 #. Translators: This is spoken while the user is in the process of selecting something, For example: "hello selected"
-#, fuzzy, python-format
+#, python-format
 msgid "%s selected"
-msgstr "選択"
+msgstr "%s 選択"
 
 #. Translators: This is spoken to indicate what has been unselected. for example 'hello unselected'
-#, fuzzy, python-format
+#, python-format
 msgid "%s unselected"
-msgstr "選択"
+msgstr "%s 選択なし"
 
 #. Translators: This is spoken to indicate when the previous selection was removed and a new selection was made. for example 'hello world selected instead'
-#, fuzzy, python-format
+#, python-format
 msgid "%s selected instead"
-msgstr "%s 選択"
+msgstr "%s 新しい選択"
 
 #. Translators: Reported when selection is removed.
 msgid "selection removed"
@@ -7550,7 +7549,7 @@
 
 #. Translators: the description for the Locked cells in excel Browse Mode, if focused for editing
 msgid "This cell is non-editable"
-msgstr ""
+msgstr "このセルは編集できません"
 
 #. Translators: the description for the elements list command in Microsoft Excel.
 msgid "Presents a list of charts, cells with comments and cells with formulas"
2015-11-03 16:20 Updated by: nishimoto
Comment

作業中:

Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 23924)
+++ userGuide.t2t	(working copy)
@@ -1,4 +1,5 @@
 NVDA NVDA_VERSION ユーザーガイド
+NVDA NVDA_VERSION ユーザーガイド
 
 
 %!includeconf: ../userGuide.t2tconf
@@ -569,26 +570,89 @@
 
 通常のドキュメントの操作に戻るには Esc キーを押してください。
 
-+ アプリケーション固有のNVDAコマンド +
-特定のアプリケーションでのみ利用できるNVDAのコマンドもあります。これは、特定のアプリケーションの特定のタスクを簡単に実行するため、あるいは、スクリーンリーダーユーザーに配慮した操作方法をアプリケーションが提供していない場合のためのものです。
++ アプリ固有の機能 +
+NVDAは、特定のタスクを簡単に実行するために、あるいは、スクリーンリーダーに配慮した操作方法がない機能を使えるようにするために、アプリ固有の機能を提供しています。
 
 ++ Microsoft Word ++
+
++++ 行や列の見出しの自動読み上げ +++
+Microsoft Word でテーブルの中を移動する場合に、NVDA は行や列の見出しを必要に応じて自動的に報告することができます。
+この機能を使うためには、まず NVDA の書式情報の設定で「テーブルの行列見出しの報告」にチェックをしてください。
+次に、テーブルのどの行または列が見出しなのかを NVDA に指示します。
+見出しの行または列の最初のセルに移動して、以下のコマンドを実行してください:
 %kc:beginInclude
 || 名称 | キー | 説明 |
-| コメントの報告 | NVDA+Alt+C | キャレット位置のテキストについているコメントを報告します。 | 
 | 列見出しの設定 | NVDA+Shift+C | 1回押すと現在の行を列見出しの行として設定します。この行の下で列を移動すると自動的にこの列見出しが報告されます。2回続けて押すと設定をクリアします。 | 
 | 行見出しの設定 | NVDA+Shift+R | 1回押すと現在の列を行見出しの列として設定します。この列の右で行を移動すると自動的にこの行見出しが報告されます。2回続けて押すと設定をクリアします。 | 
 %kc:endInclude
+この設定はドキュメントのブックマークとして JAWS など他のスクリーンリーダーと互換性のある形式で保存されます。
+つまり、他のスクリーンリーダーのユーザーがこのファイルを開いたときにも、行や列の見出しは自動的に報告されます。
 
+++ Microsoft Word におけるブラウズモード ++
+ウェブブラウザと同じように、Microsoft Word ではブラウズモードに切り替えて1文字ナビゲーションや要素リストなどの機能を使うことができます。
+%kc:beginInclude
+Microsoft Word でブラウズモードに切り替えるには NVDA+スペース を押します。
+%kc:endInclude
+ブラウズモードと1文字ナビゲーションの詳しい説明は [ブラウズモード #BrowseMode] をお読みください。
+ 
+++++ 要素リスト ++++
+%kc:beginInclude
+Microsoft Word でブラウズモードに切り替えている場合に要素リストを開くには NVDA+F7 を押します。
+%kc:endInclude
+要素リストでは見出し、リンク、注釈(変更履歴のコメントを含む)の一覧が利用できます。
+
++++ コメントの報告 +++
+%kc:beginInclude
+To report any comments at the current caret position, press NVDA+alt+c.
+%kc:endInclude
+All comments for the document, along with other tracked changes can also be listed in the NVDA Elements List  when selecting Annotations as the type.
+
 ++ Microsoft Excel ++
+
++++ Automatic Column and Row Header Reading +++
+NVDA is able to automatically announce appropriate row and column headers when navigating around Excel worksheets.
+This firstly requires that the Report Table row / column headers option In NVDA's Document Formatting dialog be turned on.
+Secondly, NVDA needs to know which row or column contains the headers.
+After moving to the first cell in the column or row containing the headers, use one of the following commands:
 %kc:beginInclude
 || 名称 | キー | 説明 |
 | 列見出しの設定 | NVDA+Shift+C | 1回押すと現在の行を列見出しの行として設定します。この行の下で列を移動すると自動的にこの列見出しが報告されます。2回続けて押すと設定をクリアします。 | 
 | 行見出しの設定 | NVDA+Shift+R | 1回押すと現在の列を行見出しの列として設定します。この列の右で行を移動すると自動的にこの行見出しが報告されます。2回続けて押すと設定をクリアします。 | 
-| コメントの報告 | NVDA+Alt+C | 現在のセルにコメントがあれば報告します。 |
-| 要素リスト | NVDA+F7 | グラフ、コメントを含むセル、数式を含むセル、シートの要素リストを開きます。 |
 %kc:endInclude
+These settings will be stored in the workbook as defined name ranges compatible with other Screen Readers such as Jaws.
+This means that users of other screen readers who open this workbook at a later date will automatically  have the row and column headers already set. 
 
++++ The Elements List +++
+Similar to the web, NVDA has an Elements List for Microsoft Excel that allows you to list and access several different types of information.
+%kc:beginInclude
+To access the Elements List in Excel, press NVDA+f7.
+%kc:endInclude
+The various types of information available in the Elements List are:
+- Chart: This lists all charts in the workbook. 
+Selecting a chart and pressing enter or the Move to button focuses the chart for navigating and reading with the arrow keys.
+- Comment: This lists all cells in the workbook containing comments. 
+The cell address along with its comments are shown for each cell. 
+Pressing Enter or the Move To button when on a listed comment will move directly to that cell.
+- Formula: This lists all cells in the workbook containing a formula. 
+The cell address along with its formula are shown for each cell.
+Pressing Enter or the Move To button on a listed formula will move directly to that cell. 
+- Sheet: This lists all sheets in the workbook.
+Pressing f2 when on a listed sheet allows you to rename the sheet. 
+Pressing Enter or the Move To button while on the listed sheet will switch to that sheet.
+-
+
++++ Reporting Comments +++
+%kc:beginInclude
+To report any comments for the currently focused cell, press NVDA+alt+c.
+%kc:endInclude
+All comments for the Workbook can also be listed in the NVDA Elements List.
+
++++ Reading Protected Cells +++
+If a workbook has been protected, it may not be possible to move focus to particular cells that have been locked for editing.
+%kc:beginInclude
+To allow moving to locked cells, switch to Browse Mode by pressing NVDA+space, and then use standard Excel movement commands such as the arrow keys to move around all cells on the current worksheet.
+%kc:endInclude
+
 ++ Microsoft PowerPoint ++
 %kc:beginInclude
 || 名称 | キー | 説明 |
@@ -1575,7 +1639,7 @@
 ++ Baum社/Humanware社/APH社製点字ディスプレイ ++
 USBまたはbluetooth接続されたいくつかの[Baum http://www.baum.de/cms/en/]社、[HumanWare http://www.humanware.com/]社及び[APH http://www.aph.org/]製のディスプレイをサポートしています。
 サポートしているディスプレイには以下のものが含まれます。
-- Baum社: SuperVario, PocketVario
+- Baum社: SuperVario, PocketVario, VarioUltra (Bluetooth のみ), Pronto! (Bluetooth のみ)
 - HumanWare社: Brailliant, BrailleConnect
 - APH: Refreshabraille
 -
2015-11-03 21:17 Updated by: nishimoto
Comment

いちおう翻訳完了。

マイクロソフトは最近「アプリ」という用語で統一しつつあるので、 この機会に「アプリケーション」を「アプリ」にまとめて変更しました。 ただし ARIA ロールまたはキーの名前としての「アプリケーション」はそのままにしています。

Index: nvda.po
===================================================================
--- nvda.po	(revision 23925)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2015-11-02 17:08+1000\n"
-"PO-Revision-Date: 2015-11-03 12:52+0900\n"
+"PO-Revision-Date: 2015-11-03 21:10+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -2911,14 +2911,13 @@
 
 #. Translators: Input help mode message for toggle sleep mode command.
 msgid "Toggles  sleep mode on and off for  the active application."
-msgstr "アクティブなアプリケーションに対するスリープモードの切り替え"
+msgstr "アクティブなアプリに対するスリープモードの切り替え"
 
 #. Translators: Input help mode message for report current line command.
 msgid ""
 "Reports the current line under the application cursor. Pressing this key "
 "twice will spell the current line"
-msgstr ""
-"アプリケーションカーソルのある現在行の報告。2回押すと現在の行のスペルの報告"
+msgstr "カーソルのある現在行の報告。2回押すと現在の行のスペルの報告"
 
 #. Translators: Reported when left mouse button is clicked.
 msgid "left click"
@@ -3629,8 +3628,8 @@
 "cursor, quick navigation keys, etc."
 msgstr ""
 "ブラウズモードとフォーカスモードの切り替え。フォーカスモードでは押されたキー"
-"は直接アプリケーションに渡されアプリケーションを操作できる。ブラウズモードで"
-"はカーソルキーでページ内の移動や一文字ナビゲーションが可能"
+"は直接アプリに渡されアプリを操作できる。ブラウズモードではカーソルキーでペー"
+"ジ内の移動や一文字ナビゲーションが可能"
 
 #. Translators: Input help mode message for quit NVDA command.
 msgid "Quits NVDA!"
@@ -3700,8 +3699,8 @@
 "pressed twice, spells the title. If pressed three times, copies the title to "
 "the clipboard"
 msgstr ""
-"現在のアプリケーションまたは最前面のウインドウのタイトルを報告。2回押すと、タ"
-"イトルをスペル読み。3回押すとタイトルをクリップボードにコピー"
+"現在のアプリまたは最前面のウインドウのタイトルを報告。2回押すと、タイトルをス"
+"ペル読み。3回押すとタイトルをクリップボードにコピー"
 
 #. Translators: Input help mode message for read foreground object command (usually the foreground window).
 msgid "speaks the current foreground object"
@@ -3810,7 +3809,7 @@
 msgid ""
 "The next key that is pressed will not be handled at all by NVDA, it will be "
 "passed directly through to Windows."
-msgstr "次のキー入力をNVDAではなくアプリケーションに渡す"
+msgstr "次のキー入力をNVDAではなくアプリに渡す"
 
 #. Translators: Indicates the name of the current program (example output: Currently running application is explorer.exe).
 #. Note that it does not give friendly name such as Windows Explorer; it presents the file name of the current application.
@@ -3817,7 +3816,7 @@
 #. If there is an appModule for the current program, NVDA speaks the name of the module after presenting this message.
 #, python-format
 msgid "Currently running application is %s"
-msgstr "現在動作中のアプリケーションは%s"
+msgstr "現在動作中のアプリは%s"
 
 #. Translators: Indicates the name of the appModule for the current program (example output: and currently loaded module is explorer).
 #. For example, the complete message for Windows explorer is: Currently running application is explorer.exe and currently loaded module is explorer.
@@ -3831,8 +3830,8 @@
 "Speaks the filename of the active application along with the name of the "
 "currently loaded appModule"
 msgstr ""
-"現在起動中のアプリケーションのファイル名を読み込まれているappモジュールの名前"
-"とともに読み上げ"
+"現在起動中のアプリのファイル名を読み込まれているアプリモジュールの名前ととも"
+"に読み上げ"
 
 #. Translators: Input help mode message for go to general settings dialog command.
 msgid "Shows the NVDA general settings dialog"
@@ -6353,7 +6352,7 @@
 #. %s is replaced by the application executable name.
 #, python-format
 msgid "Current application (%s)"
-msgstr "現在のアプリケーション (%s)"
+msgstr "現在のアプリ (%s)"
 
 #. Translators: Displayed for the configuration profile trigger for say all.
 msgid "Say all"
@@ -6374,7 +6373,7 @@
 #. %s is replaced by the application executable name.
 #, python-format
 msgid "%s application"
-msgstr "%s アプリケーション"
+msgstr "%s アプリ"
 
 #. Translators: The label of the triggers list in the Configuration Profile Triggers dialog.
 msgid "Triggers"
@@ -6901,7 +6900,7 @@
 #. Translators: This is the label for a checkbox in the
 #. keyboard settings dialog.
 msgid "Handle keys from other &applications"
-msgstr "外部アプリケーションからの文字入力(&A)"
+msgstr "外部アプリからの文字入力(&A)"
 
 #. Translators: Message to report wrong configuration of the NVDA key
 msgid "At least one key must be used as the NVDA key."
Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 23924)
+++ userGuide.t2t	(working copy)
@@ -1,4 +1,5 @@
 NVDA NVDA_VERSION ユーザーガイド
+NVDA NVDA_VERSION ユーザーガイド
 
 
 %!includeconf: ../userGuide.t2tconf
@@ -13,10 +14,10 @@
 NVDAは、コミュニティーの援助により[NV Access http://www.nvaccess.org/]が開発しました。
 
 ++ 一般的な機能 ++
-NVDAによって視覚障害者は、Windowsオペレーティングシステムやサードパーティー製のアプリケーションを使えるようになります。
+NVDAによって視覚障害者は、Windowsオペレーティングシステムやサードパーティー製のアプリを使えるようになります。
 
 NVDAの主な特徴は以下の通りです。
-- Webブラウザー、電子メールクライアント、インターネットチャットプログラム及びオフィス関連アプリケーションを含む主要なアプリケーションのサポート
+- Webブラウザー、電子メールクライアント、インターネットチャットプログラム及びオフィス関連アプリを含む主要なアプリのサポート
 - 80以上の言語に対応した音声エンジンを同梱
 - 利用可能な場合、フォント名、サイズ、スタイル及びスペルミスといった書式情報を報告可能
 - マウスカーソル位置のテキスト自動読み上げと、音によりマウスカーソルの位置を報告できるオプション
@@ -27,7 +28,7 @@
 - 32ビット版および64ビット版の最新のWindowsへの対応
 - Windowsのログオン及びその他のセキュアスクリーンでの動作
 - Microsoft Active Accessibility、Java Access Bridge、IAccessible2及びUI Automationといった一般的なアクセシビリティインターフェースのサポート (UI AutomationはWindows 7及びそれ以降でのみサポートされています)
-- Windowsのコマンドプロンプトやコンソールアプリケーションのサポート
+- Windowsのコマンドプロンプトやコンソールアプリのサポート
 -
 
 ++ 国際化 ++
@@ -85,8 +86,8 @@
 
 ++ ポータブル版と一時的な実行の制約 ++
 NVDAのポータブル版およびインストーラーでの一時的な実行では、ログオン画面の読み上げやログオン後の自動起動ができませんが、その他に以下の制約があります:
-- 管理者権限で実行しているアプリケーションを操作できません。NVDA 自身を管理者権限で実行することでこの制約を回避できますが、推奨できません。
-- 管理者権限が必要なアプリケーションを起動しようとしたときに表示されるユーザーアカウント制御(UAC)の画面を操作できません。
+- 管理者権限で実行しているアプリを操作できません。NVDA 自身を管理者権限で実行することでこの制約を回避できますが、推奨できません。
+- 管理者権限が必要なアプリを起動しようとしたときに表示されるユーザーアカウント制御(UAC)の画面を操作できません。
 - Windows 8: タッチ画面入力に対応できません。
 - Windows 8: Windowsストアアプリの中で、ブラウズモードや入力文字の報告などの機能を利用できません。
 -
@@ -237,8 +238,8 @@
 | 読み上げモード切り替え | NVDA+S | NVDA+S | なし | 読み上げモードを読み上げ、ビープ、オフの間で切り替えます。 |
 | 入力ヘルプモードの切り替え | NVDA+1 | NVDA+1 | なし | 入力ヘルプモードが有効の時にキーが押されると、そのキーの名称と対応するNVDAコマンドを説明します。 |
 | NVDAの終了 | NVDA+Q | NVDA+Q | なし | NVDAを終了します。 |
-| 次のキー入力を渡す | NVDA+F2 | NVDA+F2 | なし | 次に押されるキーがNVDAのキーコマンドであっても、現在アクティブなアプリケーションに渡すようにNVDAに指示します。 |
-| アプリケーションごとのスリープモードの切り替え | NVDA+Shift+S | NVDA+Shift+Z | なし | スリープモードは現在のアプリケーションに対してすべてのNVDAコマンド、音声読み上げ及び点字出力を無効にします。これは、独自の読み上げ機能や画面読み上げ機能を提供できるアプリケーション使用時に便利です。もう一度このコマンドを押すとスリープモードはオフになります。 |
+| 次のキー入力を渡す | NVDA+F2 | NVDA+F2 | なし | 次に押されるキーがNVDAのキーコマンドであっても、現在アクティブなアプリに渡すようにNVDAに指示します。 |
+| アプリごとのスリープモードの切り替え | NVDA+Shift+S | NVDA+Shift+Z | なし | スリープモードは現在のアプリに対してすべてのNVDAコマンド、音声読み上げ及び点字出力を無効にします。これは、独自の読み上げ機能や画面読み上げ機能を提供できるアプリ使用時に便利です。もう一度このコマンドを押すとスリープモードはオフになります。 |
 %kc:endInclude
 
 ++ システム情報の報告 ++
@@ -253,7 +254,7 @@
 NVDAでは、通常の操作やレビューカーソルを含むさまざまな方法でシステム内を移動できます。
 
 ++ オブジェクト ++[Objects]
-個々のアプリケーションやオペレーティングシステム自身による画面の表示は、たくさんのオブジェクトで構成されています。
+個々のアプリやオペレーティングシステム自身による画面の表示は、たくさんのオブジェクトで構成されています。
 オブジェクトは、テキスト、ボタン、チェックボックス、スライダー、リストまたはテキストフィールドといった要素の総称です。
 
 ++ フォーカスによる移動 ++[SystemFocus]
@@ -260,7 +261,7 @@
 システムフォーカス (または単にフォーカスとも呼ばれます) とは、 [オブジェクト #Objects]で、キーボードからの入力を受け取るもののことです。
 例えば、テキストフィールドに文字を入力している場合は、そのテキストフィールドにフォーカスがあります。
 
-NVDAによるWindows操作の最も一般的な方法は、通常のキーボードコマンドによる移動、 すなわちTabキーとShift+Tabキーによる前後移動、Altキーによるメニューバー呼び出しとメニュー操作、Alt+Tabキーによるアプリケーション間の移動です。
+NVDAによるWindows操作の最も一般的な方法は、通常のキーボードコマンドによる移動、 すなわちTabキーとShift+Tabキーによる前後移動、Altキーによるメニューバー呼び出しとメニュー操作、Alt+Tabキーによるアプリ間の移動です。
 これらの操作を行うと、NVDAはフォーカスされている項目に関する、オブジェクトの名前、種類、状態、値、説明、キーボードショートカット、位置といった情報を報告します。
 
 フォーカス移動時に役立つコマンドは以下の通りです。
@@ -298,8 +299,8 @@
 %kc:endInclude
 
 ++ オブジェクトナビゲーション ++
-たいていアプリケーション上で作業する際は[フォーカス #SystemFocus]及び[キャレット #SystemCaret]を動かすコマンドを使用します。
-しかし、場合によっては現在作業中のアプリケーションやオペレーティングシステム上の情報を、フォーカスやキャレットを動かすことなく確認したいことがあるかもしれません。
+たいていアプリ上で作業する際は[フォーカス #SystemFocus]及び[キャレット #SystemCaret]を動かすコマンドを使用します。
+しかし、場合によっては現在作業中のアプリやオペレーティングシステム上の情報を、フォーカスやキャレットを動かすことなく確認したいことがあるかもしれません。
 通常はキーボードからアクセスできない[オブジェクト #objects]上で作業する必要があるかもしれません。
 このような場合、オブジェクトナビゲーション (移動コマンド) が使用できます。
 
@@ -407,13 +408,13 @@
 ブラウズモードの文書の中を移動するときには、NVDA はレビューモードを自動的にオブジェクトからドキュメントに切り替えます。
 
 +++ 画面レビュー +++[ScreenReview]
-画面のレビューモードでは、現在のアプリケーションの画面に表示されているテキストを確認できます。
+画面のレビューモードでは、現在のアプリの画面に表示されているテキストを確認できます。
 この機能は他のWindows用スクリーンリーダーの「スクリーンレビュー」「マウスカーソル」と呼ばれる機能に似ています。
 
 画面レビューモードに切り替えると、現在の[ナビゲーターオブジェクト #ObjectNavigation]の画面上の位置にレビューカーソルが設定されます。
 レビューコマンドで画面の中を移動すると、ナビゲーターオブジェクトはレビューカーソルの画面位置にある最も階層の深いオブジェクトに自動的に設定されます。
 
-新しいアプリケーションにおいては、NVDA で画面上のテキストの一部またはすべてが確認できないことがあります。これは画面表示に使われている技術が現在のNVDAでは対応できないためです。
+新しいアプリにおいては、NVDA で画面上のテキストの一部またはすべてが確認できないことがあります。これは画面表示に使われている技術が現在のNVDAでは対応できないためです。
   
 ++ マウスカーソルの移動 ++
 NVDAは初期設定の場合、マウスカーソルを動かすと、マウスカーソルの直下にあるテキストをその移動に応じて報告します。
@@ -505,7 +506,7 @@
 | コンテナの直後に移動 | カンマ | キャレットがあるコンテナ要素(リストやテーブルなど)の直後の要素に移動します。 |
 %kc:endInclude
 
-Gmail, Twitter, Facebook などのWebアプリケーションでは、アルファベットの文字を単独で押す操作をキーボードショートカットとして利用できる場合があります。
+Gmail, Twitter, Facebook などのWebアプリでは、アルファベットの文字を単独で押す操作をキーボードショートカットとして利用できる場合があります。
 このようなキーボードショートカットとNVDAのブラウズモードのカーソルキーの機能を同時に使いたい場合は、1文字ナビゲーションだけを一時的に使わないことができます。
 %kc:beginInclude
 現在のドキュメントで1文字ナビゲーションを使用するか使わないかを切り替えるには NVDA+Shift+スペース を押します。
@@ -512,7 +513,7 @@
 %kc:endInclude
 
 ++ 要素リスト ++
-特定のアプリケーションおよびドキュメントにおいて要素リストを使うと、種別ごとの一覧から要素にアクセスできます。
+特定のアプリおよびドキュメントにおいて要素リストを使うと、種別ごとの一覧から要素にアクセスできます。
 例えばウェブブラウザの要素リストではリンク、見出し、ランドマークの種別を選ぶことができます。
 種別はラジオボタンで選択できます。
 このダイアログにはフィルターというエディットフィールドもあります。これはページ内の特定の項目を検索するときに使います。
@@ -526,7 +527,7 @@
 ページには、Adobe Flash や Sun Java のような技術を使ったリッチコンテンツ、アプリケーション、ダイアログが含まれていることがあります。
 ブラウズモード内でこれらを検知すると、NVDAは"埋め込みオブジェクト", "アプリケーション", "ダイアログ"と報告します。
 そこでEnterキーを押すと、オブジェクトを操作できます。
-もしオブジェクトがアクセシビリティの配慮をしていれば、他のアプリケーションと同じようにTabキーで移動して操作できます。
+もしオブジェクトがアクセシビリティの配慮をしていれば、他のアプリと同じようにTabキーで移動して操作できます。
 埋め込みオブジェクトを含んでいる元のページに戻るには以下のキー操作を使用します。
 %kc:beginInclude
 || 名称 | キー | 説明 |
@@ -569,26 +570,89 @@
 
 通常のドキュメントの操作に戻るには Esc キーを押してください。
 
-+ アプリケーション固有のNVDAコマンド +
-特定のアプリケーションでのみ利用できるNVDAのコマンドもあります。これは、特定のアプリケーションの特定のタスクを簡単に実行するため、あるいは、スクリーンリーダーユーザーに配慮した操作方法をアプリケーションが提供していない場合のためのものです。
++ アプリ固有の機能 +
+NVDAは、特定のタスクを簡単に実行するために、あるいは、スクリーンリーダーに配慮した操作方法がない機能を使えるようにするために、アプリごとに特別な機能を提供しています。
 
 ++ Microsoft Word ++
+
++++ 行や列の見出しの自動読み上げ +++
+Microsoft Word でテーブルの中を移動する場合に、NVDA は行や列の見出しを必要に応じて自動的に報告することができます。
+この機能を使うためには、まず NVDA の書式情報の設定で「テーブルの行列見出しの報告」にチェックをしてください。
+次に、テーブルのどの行または列が見出しなのかを NVDA に指示します。
+見出しを含む行または列の最初のセルに移動して、以下のコマンドを実行してください:
 %kc:beginInclude
 || 名称 | キー | 説明 |
-| コメントの報告 | NVDA+Alt+C | キャレット位置のテキストについているコメントを報告します。 | 
 | 列見出しの設定 | NVDA+Shift+C | 1回押すと現在の行を列見出しの行として設定します。この行の下で列を移動すると自動的にこの列見出しが報告されます。2回続けて押すと設定をクリアします。 | 
 | 行見出しの設定 | NVDA+Shift+R | 1回押すと現在の列を行見出しの列として設定します。この列の右で行を移動すると自動的にこの行見出しが報告されます。2回続けて押すと設定をクリアします。 | 
 %kc:endInclude
+この設定はドキュメントのブックマークとして JAWS など他のスクリーンリーダーと互換性のある形式で保存されます。
+つまり、他のスクリーンリーダーのユーザーがこのファイルを開いたときにも、行や列の見出しは自動的に報告されます。
 
+++ Microsoft Word におけるブラウズモード ++
+ウェブブラウザと同じように、Microsoft Word ではブラウズモードに切り替えて1文字ナビゲーションや要素リストなどの機能を使うことができます。
+%kc:beginInclude
+Microsoft Word でブラウズモードに切り替えるには NVDA+スペース を押します。
+%kc:endInclude
+ブラウズモードと1文字ナビゲーションの詳しい説明は [ブラウズモード #BrowseMode] をお読みください。
+ 
+++++ 要素リスト ++++
+%kc:beginInclude
+Microsoft Word でブラウズモードに切り替えている場合に要素リストを開くには NVDA+F7 を押します。
+%kc:endInclude
+要素リストでは見出し、リンク、注釈(変更履歴のコメントを含む)の一覧が利用できます。
+
++++ コメントの報告 +++
+%kc:beginInclude
+キャレット位置のテキストについているコメントを報告するには NVDA+Alt+C を押します。
+%kc:endInclude
+ドキュメントのすべてのコメントと変更履歴の一覧は NVDA の要素リストの種別「注釈」から利用できます。
+
 ++ Microsoft Excel ++
+
++++ 行や列の見出しの自動読み上げ +++
+Excel ワークシートの中の移動中に、行や列の見出しを必要に応じて自動的に報告させることができます。
+この機能を使うためには、まず NVDA の書式情報の設定で「テーブルの行列見出しの報告」にチェックをしてください。
+次に、どの行または列が見出しなのかを NVDA に指示します。
+見出しを含む行または列の最初のセルに移動して、以下のコマンドを実行してください:
 %kc:beginInclude
 || 名称 | キー | 説明 |
 | 列見出しの設定 | NVDA+Shift+C | 1回押すと現在の行を列見出しの行として設定します。この行の下で列を移動すると自動的にこの列見出しが報告されます。2回続けて押すと設定をクリアします。 | 
 | 行見出しの設定 | NVDA+Shift+R | 1回押すと現在の列を行見出しの列として設定します。この列の右で行を移動すると自動的にこの行見出しが報告されます。2回続けて押すと設定をクリアします。 | 
-| コメントの報告 | NVDA+Alt+C | 現在のセルにコメントがあれば報告します。 |
-| 要素リスト | NVDA+F7 | グラフ、コメントを含むセル、数式を含むセル、シートの要素リストを開きます。 |
 %kc:endInclude
+この設定はワークブックのセル範囲として JAWS など他のスクリーンリーダーと互換性のある形式で保存されます。
+つまり、他のスクリーンリーダーのユーザーがこのワークブックを開いたときにも、行や列の見出しは自動的に報告されます。
 
++++ 要素リスト +++
+ウェブブラウザと同じように Microsoft Excel では要素リストが利用できます。要素リストを使うといろいろな種別の情報の一覧や操作ができます。
+%kc:beginInclude
+Excel で要素リストを利用するには NVDA+F7 を押します。
+%kc:endInclude
+要素リストで利用できる情報の種別は以下のとおりです:
+- グラフ: ワークブックに含まれるグラフのリストです。
+リスト項目で Enter キーを押すか「移動」ボタンを実行すると、選択中のグラフにフォーカスを移動できます。さらにグラフの中を矢印キーで移動して読むことができます。
+- コメント: ワークブックの中でコメントを含むセルのリストです。
+セルごとのセル番地とコメントが表示されます。
+リスト項目で Enter キーを押すか「移動」ボタンを実行すると、そのセルに直接移動できます。
+- 数式: ワークブックの中で数式を含むセルのリストです。
+セルごとのセル番地と数式が表示されます。
+リスト項目で Enter キーを押すか「移動」ボタンを実行すると、そのセルに直接移動できます。
+- シート: ワークブックに含まれるシートのリストです。
+リスト項目で F2 キーを押すと、そのシートの名前を変更できます。
+リスト項目で Enter キーを押すか「移動」ボタンを実行すると、そのシートに切り替わります。
+-
+
++++ コメントの報告 +++
+%kc:beginInclude
+フォーカス位置のセルにあるコメントを報告するには NVDA+Alt+C を押します。
+%kc:endInclude
+ワークブックのすべてのコメントの一覧は要素リストから利用できます。
+
++++ 保護されたセルの読み上げ +++
+ワークブックが保護されている場合は、編集がロックされているセルにフォーカスを移動できないことがあります。
+%kc:beginInclude
+保護されたセルに移動するには NVDA+スペース でブラウズモードに切り替えてください。矢印キーなど Excel の標準的な移動コマンドで現在のワークシートのすべてのセルに移動できるようになります。
+%kc:endInclude
+
 ++ Microsoft PowerPoint ++
 %kc:beginInclude
 || 名称 | キー | 説明 |
@@ -908,8 +972,8 @@
 
 チェックされている場合、NVDAは文字以外のキーの名称を読み上げます。このキーの名称には、Ctrlキーとその他のキーのようなキーの組み合わせも含まれます。
 
-==== 外部アプリケーションからの文字入力 ====
-スクリーンキーボードや音声認識ソフトウェアなど、外部アプリケーションからの文字入力をNVDAが処理するかどうかを制御できます。
+==== 外部アプリからの文字入力 ====
+スクリーンキーボードや音声認識ソフトウェアなど、外部アプリからの文字入力をNVDAが処理するかどうかを制御できます。
 このチェックボックスは既定値でチェックされています。例えばベトナム語入力システムUnikeyを使う場合には、不適切な文字入力が起こらないように、このチェックボックスをチェックなしにするとよいでしょう。
 
 +++ マウス設定 (NVDA+Ctrl+M) +++[MouseSettings]
@@ -1088,8 +1152,8 @@
 チェックされている場合、NVDAは音声による報告ではなく、特別な音によってフォーカスモードとブラウズモードが切り替えられたことを報告します。
 
 ==== ドキュメントでコマンド以外の操作による入力を防止 ====
-このオプションは既定値でチェックされています。これは、キー入力などのジェスチャーが NVDA のコマンドではなく、アプリケーションの操作としても実行できなかったときに、現在フォーカスのあるドキュメントに文字として入力されてしまうことを防ぐ機能です。
-チェックされている場合は、例えばキーボードから文字 j が入力され、1文字ナビゲーションとしても無効で、アプリケーションの操作としても無効であったときに、ドキュメントにこの j という文字が書き込まれません。
+このオプションは既定値でチェックされています。これは、キー入力などのジェスチャーが NVDA のコマンドではなく、アプリの操作としても実行できなかったときに、現在フォーカスのあるドキュメントに文字として入力されてしまうことを防ぐ機能です。
+チェックされている場合は、例えばキーボードから文字 j が入力され、1文字ナビゲーションとしても無効で、アプリの操作としても無効であったときに、ドキュメントにこの j という文字が書き込まれません。
 
 +++ 書式情報 (NVDA+Ctrl+D) +++[DocumentFormattingSettings]
 このダイアログボックスは、設定メニューの中の、"書式情報..."にあります。
@@ -1239,7 +1303,7 @@
 設定プロファイルの中では多くの設定項目を変更できますが、一般設定ダイアログの中の項目だけは変更できません。これはNVDAの全体についての設定だからです。
 
 設定プロファイルは手動アクティブ化できます。
-また、特定のアプリケーションへの切り替えなどのトリガーによって自動的に設定プロファイルを切り替えることもできます。
+また、特定のアプリへの切り替えなどのトリガーによって自動的に設定プロファイルを切り替えることもできます。
 
 +++ 基本的な管理 +++
 NVDAメニュー「設定プロファイル」から設定プロファイルの管理ができます。
@@ -1263,8 +1327,8 @@
 新規プロファイルのダイアログで、プロファイルの名前を入力してください。
 次に、このプロファイルをいつ使うかを選ぶことができます。
 もしプロファイルを常に手動で呼び出したいだけなら、既定の選択である「手動アクティブ化」を選んでください。
-「現在のアプリケーション」を選ぶと、このプロファイルはこのアプリケーションが選択されたことをトリガーにして、自動的にアクティブ化されます。
-もしプロファイルの名前をつけていなければ、この選択肢を選んだときに現在のアプリケーションの名前がプロファイルの名前の候補になります。
+「現在のアプリ」を選ぶと、このプロファイルはこのアプリが選択されたことをトリガーにして、自動的にアクティブ化されます。
+もしプロファイルの名前をつけていなければ、この選択肢を選んだときに現在のアプリの名前がプロファイルの名前の候補になります。
 詳しくは[後述 #ConfigProfileTriggers]のトリガーの説明をお読みください。
 
 OKボタンを押すと、プロファイルが作成され、設定プロファイルのダイアログが閉じて、このプロファイルが編集できる状態になります。
@@ -1272,7 +1336,7 @@
 +++ 手動アクティブ化 +++[ConfigProfileManual]
 設定プロファイルを選択するダイアログで「手動アクティブ化」ボタンを押すとプロファイルが有効になります。
 手動アクティブ化のあとで、トリガーによって他のプロファイルがアクティブ化されることもありますが、手動アクティブ化されたプロファイルの中で変更された設定項目は、他のプロファイルよりも優先されます。
-例えば、現在のアプリケーションの選択をトリガーにして、あるプロファイルがアクティブになり、そのプロファイルではリンクの報告が有効とします。しかし、手動アクティブ化されたプロファイルでリンク報告の設定を無効にすると、リンクは報告されません。
+例えば、現在のアプリの選択をトリガーにして、あるプロファイルがアクティブになり、そのプロファイルではリンクの報告が有効とします。しかし、手動アクティブ化されたプロファイルでリンク報告の設定を無効にすると、リンクは報告されません。
 しかし、トリガーされたプロファイルが音声設定を変更していて、手動アクティブ化したプロファイルでは音声設定をまったく変更していないなら、トリガーされたプロファイルの音声設定が有効になります。
 手動アクティブ化のプロファイルでは、設定の変更はすべて保存されます。
 プロファイルの手動アクティブ化を解除にするには、設定プロファイルのダイアログで「手動アクティブ化解除」のボタンを押してください。
@@ -1281,7 +1345,7 @@
 設定プロファイルのダイアログでトリガーのボタンを押すと、いろいろなトリガーでどのプロファイルをアクティブにするかを設定できます。
 
 トリガーのリストにはトリガーの選択肢として以下の項目が表示されます: 
-- 現在のアプリケーション: 現在のアプリケーションに切り替えたときにトリガーします。
+- 現在のアプリ: 現在のアプリに切り替えたときにトリガーします。
 - すべて読み上げ: すべて読み上げコマンドで読み上げるときにトリガーします。
 -
 
@@ -1293,7 +1357,7 @@
 +++ プロファイルの編集 +++
 手動アクティブ化のプロファイルにおいては、設定の変更はすべてそのプロファイルに保存されます。
 その他の場合は、設定の変更は、直前にトリガーされたプロファイルに保存されます。
-例えば、メモ帳アプリケーションに対応するプロファイルがあるなら、メモ帳に切り替えると、すべての設定変更の保存先はそのプロファイルになります。
+例えば、メモ帳アプリに対応するプロファイルがあるなら、メモ帳に切り替えると、すべての設定変更の保存先はそのプロファイルになります。
 手動アクティブ化のプロファイルも、トリガーされたプロファイルもない場合は、設定の変更は「通常の設定」に保存されます。
 
 「すべて読み上げ」に対応するプロファイルを編集するには、[手動アクティブ化 #ConfigProfileManual] で選択する必要があります。
@@ -1304,9 +1368,9 @@
 このようなときには「設定プロファイル」ダイアログの「すべてのトリガーを一時的に無効化」チェックボックスをチェックしてください。
 
 ++ 設定プロファイルの保存場所 ++
-ポータブル版のNVDAは、すべての設定項目、ユーザーが追加したアプリケーションモジュールやドライバーを、NVDAの実行ファイルがあるフォルダー内のuserConfigというフォルダーに保存します。
+ポータブル版のNVDAは、すべての設定項目、ユーザーが追加したアプリモジュールやドライバーを、NVDAの実行ファイルがあるフォルダー内のuserConfigというフォルダーに保存します。
 
-インストール版のNVDAでは、すべての設定項目、ユーザーが追加したアプリケーションモジュールやドライバーを、Windowsのユーザープロファイル内の特別なフォルダーに保存します。
+インストール版のNVDAでは、すべての設定項目、ユーザーが追加したアプリモジュールやドライバーを、Windowsのユーザープロファイル内の特別なフォルダーに保存します。
 つまり、ひとつのコンピューターを使用している複数のユーザーが、それぞれNVDAの設定を保持できます。
 インストール版のNVDAで、現在のユーザー用のNVDA設定フォルダーを開くには、スタートメニューの[プログラム] → [NVDA] → [ユーザー設定フォルダーを開く] を使ってください。
 
@@ -1370,11 +1434,11 @@
 NVDA メニューを開かないでアドオンマネージャーを直接開きたい場合は、[入力ジェスチャーのダイアログ #InputGestures]で操作のカスタマイズをしてください。
 
 ++ Pythonコンソール ++
-NVDAメニュー内のツールにあるPythonコンソールは開発用のツールで、デバッグや一般的なNVDA内部の動作検証、アプリケーションのアクセシビリティ階層構造の検査などに使用できます。
+NVDAメニュー内のツールにあるPythonコンソールは開発用のツールで、デバッグや一般的なNVDA内部の動作検証、アプリのアクセシビリティ階層構造の検査などに使用できます。
 詳細は、[NVDA Webサイトの開発者向けセクション http://community.nvda-project.org/wiki/Development]を参照してください。
 
 ++ プラグインの再読み込み ++
-この項目を実行すると、アプリケーションモジュールとグローバルプラグインをNVDAを再起動することなく再読み込みできます。これは開発者にとって便利です。
+この項目を実行すると、アプリモジュールとグローバルプラグインをNVDAを再起動することなく再読み込みできます。これは開発者にとって便利です。
 
 + サポートされている音声エンジン +[SupportedSpeechSynths]
 この章では、NVDAでサポートされている音声エンジンについて述べます。
@@ -1403,7 +1467,7 @@
 NVDAでこの規格を使用する場合、利用可能な音声 ([音声設定 #VoiceSettings]や[簡単音声設定 #SynthSettingsRing]からアクセスできます) には、システムにインストールされていて利用可能なすべてのSAPI 5用の音声が含まれています。
 
 ++ Microsoft Speech Platform ++
-Microsoft Speech Platformでは、通常はサーバーベースの読み上げアプリケーション開発に使用されるような多くの言語の音声が提供されています。
+Microsoft Speech Platformでは、通常はサーバーベースの読み上げアプリ開発に使用されるような多くの言語の音声が提供されています。
 これらの音声はNVDAでも使用できます。
 
 これらの音声を使用するには、ふたつのコンポーネントをインストールしてください。
@@ -1479,7 +1543,7 @@
 | Escape キー | スペース+1の点+5の点 |
 | Windows キー | スペース+2の点+4の点+5の点+6の点 |
 | スペースキー | スペース |
-| Windows+D キー (すべてのアプリケーションを最小化) | スペース+1の点+2の点+3の点+4の点+5の点+6の点 |
+| Windows+D キー (すべてのアプリを最小化) | スペース+1の点+2の点+3の点+4の点+5の点+6の点 |
 | 現在の行の報告 | スペース+1の点+4の点 |
 | NVDA メニュー | スペース+1の点+3の点+4の点+5の点 |
 
@@ -1521,7 +1585,7 @@
 | 右矢印キー | spRight |
 | Enterキー | spEnter |
 | NVDAメニュー | sp1+sp3 |
-| Windows+Dキー (すべてのアプリケーションを最小化) | sp1+sp4 |
+| Windows+Dキー (すべてのアプリを最小化) | sp1+sp4 |
 | Windowsキー | sp2+Sp3 |
 | Alt+Tabキー | sp2+sp4 |
 %kc:endInclude
@@ -1575,7 +1639,7 @@
 ++ Baum社/Humanware社/APH社製点字ディスプレイ ++
 USBまたはbluetooth接続されたいくつかの[Baum http://www.baum.de/cms/en/]社、[HumanWare http://www.humanware.com/]社及び[APH http://www.aph.org/]製のディスプレイをサポートしています。
 サポートしているディスプレイには以下のものが含まれます。
-- Baum社: SuperVario, PocketVario
+- Baum社: SuperVario, PocketVario, VarioUltra (Bluetooth のみ), Pronto! (Bluetooth のみ)
 - HumanWare社: Brailliant, BrailleConnect
 - APH: Refreshabraille
 -
@@ -1661,7 +1725,7 @@
 | Altキー | スペース+1の点+3の点+4の点 (スペース+M) |
 | エスケープキー | スペース+1の点+5の点 (スペース+E) |
 | Enterキー | 8の点 |
-| Windows+Dキー (すべてのアプリケーションを最小化) | c1+c4+c5 (コマンド D) |
+| Windows+Dキー (すべてのアプリを最小化) | c1+c4+c5 (コマンド D) |
 | Windowsキー | スペース+3の点+4の点 |
 | Alt+Tabキー | スペース+2の点+3の点+4の点+5の点 (スペース+T) |
 | すべて読み上げ | c1+c2+c3+c4+c5+c6 |
2015-11-04 18:45 Updated by: nishimoto
Comment

作業中。changes 追加分を英語のまま入れてみた:

= 2015.4 =
Highlights of this release include performance improvements in Windows 10; inclusion in the Ease of Access Center in Windows 8 and later; enhancements for Microsoft Excel, including listing and renaming of sheets and access to locked cells in protected sheets; and support for editing of rich text in Mozilla Firefox, Google Chrome and Mozilla Thunderbird.

== 新機能 ==
- Windows8以降のPCでコンピューターの簡単操作センターにNVDAが表示されるようになりました。(#308)
- Excel でセル間を移動する場合、NVDAの書式情報設定ダイアログで設定しておくと、書式の変化が自動で報告されるようになりました。(#4878)
- 「強調などのマークの報告」オプションがNVDAの書式情報設定ダイアログに追加されました。初期設定では、NVDAは自動的に、ドキュメントに強調されたテキストがあることを報告するようになっています。今のところこの機能は、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードのemとstrongタグのみについてサポートされています。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされている場合、挿入および削除されたテキストがあることが、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードにおいて、報告されるようになりました。(#4920)
- Microsoft Wordの変更履歴をNVDAの要素リストで閲覧しているときに、書式の変化など報告される情報が増えました。(#4920)
- Microsoft Excel: シートの一覧表示および名前変更がNVDAの要素リスト (NVDA+F7) でできるようになりました。(#4630, #4414)
- 特定の記号を (例えば一時停止や抑揚の変更をさせたい場合に)そのまま音声合成に送るかどうかを、句読点記号読み辞書ダイアログにて設定できるようになりました。(#5234)
- Microsoft Excel において NVDA はシート作成者がセル上に設定した入力メッセージを報告するようになりました。(#5051)
- Support for the Baum Pronto! V4 and VarioUltra braille displays when connected via Bluetooth. (#3717)
- Support for editing of rich text in Mozilla applications such as Google Docs with braille support enabled in Mozilla Firefox and HTML composition in Mozilla Thunderbird. (#1668)
- Support for editing of rich text in Google Chrome and Chrome-based browsers such as Google Docs with braille support enabled. (#2634)
 - This requires Chrome version 47 or later.
- In browse mode in Microsoft Excel, you can navigate to locked cells in protected sheets. (#4952)


== 変更点 ==
- NVDAの書式情報設定ダイアログの、「校閲者による更新の報告」オプションが、初期設定でチェックありになりました。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされていて、Microsoft Wordにて文字を移動すると、変更履歴について報告される情報が少なくなり、ナビゲーションがより効率的になりました。より詳しい情報は要素リストで得ることができます。(#4920)
- liblouis 点訳エンジンが2.6.4に更新されました。(#5341)
- 特定の記号 (基本的な数学記号を含む) が、最低読み上げレベル「一部」になり、初期設定で読み上げられるようになりました。(#3799)
- 音声合成エンジンがサポートしている場合、カッコやダッシュで読み上げにポーズが入るようになりました。(#3799)
- When selecting text, the text is reported before the indication of selection instead of after. (#1707)


== バグ修正 ==
- Outlook 2010/2013のメッセージリストでのナビゲーションの大幅な動作の改良。(#5268)
- Microsoft Excelのグラフにて、特定のキーでのナビゲーション (control+pageupやcontrol+pagedownでのシート変更などの) が正確に動作するようになりました。(#5336)
- NVDAをダウングレードしようとする際に表示される警告ダイアログ内のボタンの外観が修正されました。(#5325)
- Windows8以降にて「Windowsへのログオン後にNVDAを自動的に開始」が設定されている場合、NVDAがより高速に起動するようになりました。(#308)
 - 前のバージョンのNVDAでこの機能をオンにしている場合、一般設定ダイアログにてこの項目をいったんオフにして、もう一度オンにして有効にしなおす必要があります。Follow this procedure:
  + Open the General Settings dialog.
  + Uncheck the Automatically start NVDA after I log on to Windows checkbox.
  + Press the OK button.
  + Open the General Settings dialog again.
  + Check the Automatically start NVDA after I log on to Windows checkbox.
  + Press the OK button.
- ファイルエクスプローラーおよびタスクビューワーを含むUI Automationの動作の強化。(#5293)
- Mozilla Firefoxおよび他のGeckoベースのコントロールのブラウズモードにて、読み取り専用のARIA grid コントロールにタブで移動した時に、正確にフォーカスモードに切り替わるようになりました。(#5118)
- タッチスクリーンで左フリックをした時に次のオブジェクトがない場合に、「次の~がありません」ではなく、「前の~がありません」と正確に報告するようになりました。
- Fixed problems when typing multiple words into the filter field in the Input Gestures dialog. (#5426)
- NVDA no longer freezes in some cases when reconnecting to a HumanWare Brailliant BI/B series display via USB. (#5406)
- In languages with conjunct characters, character descriptions now work as expected for upper case English characters. (#5375)
- NVDA should no longer occasionally freeze when bringing up the Start Menu in Windows 10. (#5417)


2015-11-04 20:47 Updated by: nishimoto
  • Owner Update from (None) to nishimoto
  • Resolution Update from None to Fixed
  • Component Update from (None) to 翻訳
Comment

翻訳しました:

NVDA最新情報


%!includeconf: ../changes.t2tconf

= 2015.4 =
このリリースのハイライトは、Windows 10 対応の改良、Windows 8 以降の「コンピューターの簡単操作センター」への対応、Microsoft Excel 対応の改良(シートの一覧と名前変更、保護されたワークシートのセルの参照)、Mozilla Firefox, Google Chrome, Mozilla Thunderbird におけるリッチテキスト編集への対応などです。

== 新機能 ==
- Windows8以降のPCでコンピューターの簡単操作センターにNVDAが表示されるようになりました。(#308)
- Excel でセル間を移動する場合、NVDAの書式情報設定ダイアログで設定しておくと、書式の変化が自動で報告されるようになりました。(#4878)
- 「強調などのマークの報告」オプションがNVDAの書式情報設定ダイアログに追加されました。初期設定では、NVDAは自動的に、ドキュメントに強調されたテキストがあることを報告するようになっています。今のところこの機能は、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードのemとstrongタグのみについてサポートされています。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされている場合、挿入および削除されたテキストがあることが、Internet Explorerおよびその他のMSHTMLコントロールのブラウズモードにおいて、報告されるようになりました。(#4920)
- Microsoft Wordの変更履歴をNVDAの要素リストで閲覧しているときに、書式の変化など報告される情報が増えました。(#4920)
- Microsoft Excel: シートの一覧表示および名前変更がNVDAの要素リスト (NVDA+F7) でできるようになりました。(#4630, #4414)
- 特定の記号を (例えば一時停止や抑揚の変更をさせたい場合に)そのまま音声合成に送るかどうかを、句読点記号読み辞書ダイアログにて設定できるようになりました。(#5234)
- Microsoft Excel において NVDA はシート作成者がセル上に設定した入力メッセージを報告するようになりました。(#5051)
- Baum Pronto! V4 および VarioUltra 点字ディスプレイが Bluetooth 接続で利用できるようになりました。(#3717)
- Firefox による Google Docs の利用や Thunderbird による HTML 編集など、リッチテキスト編集が Mozilla アプリで可能になりました。点字ディスプレイにも対応しています。(#1668)
- Google Chrome や Chrome ベースのブラウザにおいて Google Docs などのリッチテキスト編集が可能になりました。点字ディスプレイにも対応しています。(#2634)
 - ただし Chrome バージョン 47 以降が必要です。
- Microsoft Excel のブラウズモードで、保護されたワークシートのセルに移動できるようになりました。 (#4952)


== 変更点 ==
- NVDAの書式情報設定ダイアログの、「校閲者による更新の報告」オプションが、初期設定でチェックありになりました。(#4920)
- NVDAの「校閲者による更新の報告」オプションがチェックされていて、Microsoft Wordにて文字を移動すると、変更履歴について報告される情報が少なくなり、ナビゲーションがより効率的になりました。より詳しい情報は要素リストで得ることができます。(#4920)
- liblouis 点訳エンジンが2.6.4に更新されました。(#5341)
- 特定の記号 (基本的な数学記号を含む) が、最低読み上げレベル「一部」になり、初期設定で読み上げられるようになりました。(#3799)
- 音声合成エンジンがサポートしている場合、カッコやダッシュで読み上げにポーズが入るようになりました。(#3799)
- テキストを選択するときに、そのテキストを「選択」の後ではなく前に報告するようになりました。(#1707)


== バグ修正 ==
- Outlook 2010/2013のメッセージリストでのナビゲーションの大幅な動作の改良。(#5268)
- Microsoft Excelのグラフにて、特定のキーでのナビゲーション (control+pageupやcontrol+pagedownでのシート変更などの) が正確に動作するようになりました。(#5336)
- NVDAをダウングレードしようとする際に表示される警告ダイアログ内のボタンの外観が修正されました。(#5325)
- Windows8以降にて「Windowsへのログオン後にNVDAを自動的に開始」が設定されている場合、NVDAがより高速に起動するようになりました。(#308)
 - 前のバージョンのNVDAでこの機能をオンにしている場合、一般設定ダイアログにてこの項目をいったんオフにして、もう一度オンにして有効にしなおす必要があります。以下のように操作してください:
  + 「一般設定」ダイアログを開きます
  + 「Windowsへのログオン後にNVDAを自動的に開始」をチェックなしにします
  + OK ボタンを押します
  + 「一般設定」ダイアログをもう一度開きます
  + 「Windowsへのログオン後にNVDAを自動的に開始」をチェックします
  + OK ボタンを押します
- ファイルエクスプローラーおよびタスクビューワーを含むUI Automationの動作の強化。(#5293)
- Mozilla Firefoxおよび他のGeckoベースのコントロールのブラウズモードにて、読み取り専用のARIA grid コントロールにタブで移動した時に、正確にフォーカスモードに切り替わるようになりました。(#5118)
- タッチスクリーンで左フリックをした時に次のオブジェクトがない場合に、「次の~がありません」ではなく、「前の~がありません」と正確に報告するようになりました。
- 「入力ジェスチャー」ダイアログのフィルターで複数の単語を入力したときの不具合を修正しました。(#5426)
- HumanWare Brailliant BI/B シリーズ点字ディスプレイに USB 接続していて、接続をやり直した場合にフリーズすることがある不具合を修正しました。(#5406)
- 特定の文字が使われる言語において、文字説明がアルファベット大文字で適切に動作するようになりました。(#5375)
- Windows 10 のスタートメニューが開くときに NVDA がフリーズすることがある問題に対応しました。(#5417)


2015-11-13 15:59 Updated by: nishimoto
  • Ticket Close date is changed to 2015-11-13 15:59
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login